Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.core
Class Init

    java.lang.Object
      org.jboss.seam.core.Init

    @Scope(value=APPLICATION)
    @Intercept(value=NEVER)
    @Name(value="org.jboss.seam.core.init")
    @Install(value=false,
             precedence=0)
    public class Init

extends Object

A Seam component that holds Seam configuration settings

Author:
  Gavin King

Nested Class Summary
`static class` | `Init.FactoryBinding`
`static class` | `Init.FactoryMethod`
`static class` | `Init.ObserverMethod`
`static class` | `Init.ObserverMethodBinding`

Constructor Summary
`Init()`

Method Summary
`void` | `addAutocreateVariable(String name)`
`void` | `addFactoryMethod(String variable, Method method, Component component)`
`void` | `addFactoryMethodBinding(String variable, String methodBindingExpression, ScopeType scope)`
`void` | `addFactoryValueBinding(String variable, String valueBindingExpression, ScopeType scope)`
`void` | `addHotDeployableComponent(String name)`
`void` | `addInstalledFilter(String name)`
`void` | `addObserverMethod(String eventType, Method method, Component component, boolean create)`
`void` | `addObserverMethodBinding(String eventType, Expressions.MethodBinding methodBinding)`
`void` | `addResourceProvider(String name)`
`void` | `create()`
`Map<String,String>` | `getConverters()`
`Map<Class,String>` | `getConvertersByClass()`
`Init.FactoryMethod` | `getFactory(String variable)`
`Init.FactoryBinding` | `getFactoryMethodBinding(String variable)`
`Init.FactoryBinding` | `getFactoryValueBinding(String variable)`
`Set<String>` | `getHotDeployableComponents()`
`File[]` | `getHotDeployPaths()`
`Set<String>` | `getInstalledFilters()`
`String` | `getJndiPattern()`
`List<Init.ObserverMethodBinding>` | `getObserverMethodBindings(String eventType)`
`List<Init.ObserverMethod>` | `getObserverMethods(String eventType)`
`Set<String>` | `getResourceProviders()`
`Namespace` | `getRootNamespace()`
`long` | `getTimestamp()`
`protected String` | `getUserTransactionName()` The JNDI name of the JTA UserTransaction
`Map<String,String>` | `getValidators()`
`boolean` | `hasHotDeployableComponents()`
`static Init` | `instance()`
`boolean` | `isAutocreateVariable(String name)`
`boolean` | `isClientSideConversations()`
`boolean` | `isDebug()`
`boolean` | `isJbpmInstalled()`
`boolean` | `isMyFacesLifecycleBug()`
`void` | `setClientSideConversations(boolean isClientSideConversations)`
`void` | `setDebug(boolean debug)`
`void` | `setHotDeployPaths(File[] hotDeployJars)`
`void` | `setJbpmInstalled(boolean jbpmInstalled)`
`void` | `setJndiPattern(String jndiPattern)`
`void` | `setMyFacesLifecycleBug(boolean myFacesLifecycleBugExists)`
`void` | `setTimestamp(long timestamp)`
`protected void` | `setUserTransactionName(String userTransactionName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Init

    public Init()

Method Detail

### create

    @Create
    public void create()

### instance

    public static Init instance()

### isClientSideConversations

    public boolean isClientSideConversations()

### setClientSideConversations

    public void setClientSideConversations(boolean isClientSideConversations)

### getFactory

    public Init.FactoryMethod getFactory(String variable)

### getFactoryMethodBinding

    public Init.FactoryBinding getFactoryMethodBinding(String variable)

### getFactoryValueBinding

    public Init.FactoryBinding getFactoryValueBinding(String variable)

### addFactoryMethod

    public void addFactoryMethod(String variable,
                                 Method method,
                                 Component component)

### addFactoryMethodBinding

    public void addFactoryMethodBinding(String variable,
                                        String methodBindingExpression,
                                        ScopeType scope)

### addFactoryValueBinding

    public void addFactoryValueBinding(String variable,
                                       String valueBindingExpression,
                                       ScopeType scope)

### getObserverMethods

    public List<Init.ObserverMethod> getObserverMethods(String eventType)

### getObserverMethodBindings

    public List<Init.ObserverMethodBinding> getObserverMethodBindings(String eventType)

### addObserverMethod

    public void addObserverMethod(String eventType,
                                  Method method,
                                  Component component,
                                  boolean create)

### addObserverMethodBinding

    public void addObserverMethodBinding(String eventType,
                                         Expressions.MethodBinding methodBinding)

### isJbpmInstalled

    public boolean isJbpmInstalled()

### getJndiPattern

    public String getJndiPattern()

### setJndiPattern

    public void setJndiPattern(String jndiPattern)

### isDebug

    public boolean isDebug()

### setDebug

    public void setDebug(boolean debug)

### isMyFacesLifecycleBug

    public boolean isMyFacesLifecycleBug()

### setMyFacesLifecycleBug

    public void setMyFacesLifecycleBug(boolean myFacesLifecycleBugExists)

### setJbpmInstalled

    public void setJbpmInstalled(boolean jbpmInstalled)

### getUserTransactionName

    protected String getUserTransactionName()

  The JNDI name of the JTA UserTransaction

### setUserTransactionName

    protected void setUserTransactionName(String userTransactionName)

### isAutocreateVariable

    public boolean isAutocreateVariable(String name)

### addAutocreateVariable

    public void addAutocreateVariable(String name)

### getRootNamespace

    public Namespace getRootNamespace()

### addInstalledFilter

    public void addInstalledFilter(String name)

### getInstalledFilters

    public Set<String> getInstalledFilters()

### addResourceProvider

    public void addResourceProvider(String name)

### getResourceProviders

    public Set<String> getResourceProviders()

### getHotDeployableComponents

    public Set<String> getHotDeployableComponents()

### addHotDeployableComponent

    public void addHotDeployableComponent(String name)

### getConverters

    public Map<String,String> getConverters()

### getConvertersByClass

    public Map<Class,String> getConvertersByClass()

### getValidators

    public Map<String,String> getValidators()

### hasHotDeployableComponents

    public boolean hasHotDeployableComponents()

### getHotDeployPaths

    public File[] getHotDeployPaths()

### setHotDeployPaths

    public void setHotDeployPaths(File[] hotDeployJars)

### getTimestamp

    public long getTimestamp()

### setTimestamp

    public void setTimestamp(long timestamp)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD